module Xpost
  class Configuration
    attr_accessor :api_key, :secret_key, :staging_url, :production_url

    def initialize
      @api_key
      @secret_key
      @staging_url
      @production_url
    end

    def self.sample_configuration
      api_key_line    = File.readlines('.env').first.chomp
      secret_key_line = File.readlines('.env').last.chomp
      api_key         = api_key_line.split('=').last
      secret_key      = secret_key_line.split('=').last

      sample_configuration = Xpost.configure do |config|
        config.api_key        = api_key
        config.secret_key     = secret_key
        config.staging_url    = "https://api.staging.lbcx.ph/v1"
        config.production_url = "https://api.staging.lbcx.ph/v1"
      end
      Xpost.configuration
    end
  end
end